Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.annotations
Enum Annotation.FlagsEnum

    java.lang.Object
      java.lang.Enum<Annotation.FlagsEnum>
          org.pdfclown.documents.interaction.annotations.Annotation.FlagsEnum

All Implemented Interfaces:
  Serializable, Comparable<Annotation.FlagsEnum>

Enclosing class:
  Annotation

    public static enum Annotation.FlagsEnum

extends Enum<Annotation.FlagsEnum>

Field flags [PDF:1.6:8.4.2].

Enum Constant Summary
`Hidden` Hide the annotation, both on screen and on print (regardless of its annotation type or whether an annotation handler is available).
`Invisible` Hide the annotation, both on screen and on print, if it does not belong to one of the standard annotation types and no annotation handler is available.
`Locked` Do not allow the annotation to be deleted or its properties to be modified by the user.
`NoRotate` Do not rotate the annotation's appearance to match the rotation of the page.
`NoView` Hide the annotation on the screen.
`NoZoom` Do not scale the annotation's appearance to match the magnification of the page.
`Print` Print the annotation when the page is printed.
`ReadOnly` Do not allow the annotation to interact with the user.
`ToggleNoView` Invert the interpretation of the NoView flag.

Method Summary
`int` | `getCode()`
`static EnumSet<Annotation.FlagsEnum>` | `toEnumSet(int flagsMask)` Converts a bit mask into its corresponding enumeration representation.
`static int` | `toInt(EnumSet<Annotation.FlagsEnum> flags)` Converts an enumeration set into its corresponding bit mask representation.
`static Annotation.FlagsEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Annotation.FlagsEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Invisible

    public static final Annotation.FlagsEnum Invisible

  Hide the annotation, both on screen and on print, if it does not belong to one of the standard annotation types and no annotation handler is available.

### Hidden

    public static final Annotation.FlagsEnum Hidden

  Hide the annotation, both on screen and on print (regardless of its annotation type or whether an annotation handler is available).

### Print

    public static final Annotation.FlagsEnum Print

  Print the annotation when the page is printed.

### NoZoom

    public static final Annotation.FlagsEnum NoZoom

  Do not scale the annotation's appearance to match the magnification of the page.

### NoRotate

    public static final Annotation.FlagsEnum NoRotate

  Do not rotate the annotation's appearance to match the rotation of the page.

### NoView

    public static final Annotation.FlagsEnum NoView

  Hide the annotation on the screen.

### ReadOnly

    public static final Annotation.FlagsEnum ReadOnly

  Do not allow the annotation to interact with the user.

### Locked

    public static final Annotation.FlagsEnum Locked

  Do not allow the annotation to be deleted or its properties to be modified by the user.

### ToggleNoView

    public static final Annotation.FlagsEnum ToggleNoView

  Invert the interpretation of the NoView flag.

Method Detail

### values

    public static Annotation.FlagsEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Annotation.FlagsEnum c : Annotation.FlagsEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Annotation.FlagsEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toInt

    public static int toInt(EnumSet<Annotation.FlagsEnum> flags)

  Converts an enumeration set into its corresponding bit mask representation.

### toEnumSet

    public static EnumSet<Annotation.FlagsEnum> toEnumSet(int flagsMask)

  Converts a bit mask into its corresponding enumeration representation.

### getCode

    public int getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.